package com.iamberry.wechat.service.wechat.dao.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.iamberry.wechat.core.entity.wx.MenuKeySet;
import com.iamberry.wechat.service.mapper.MenuKeySetMapper;
import com.iamberry.wechat.service.wechat.dao.MenuKeySetDAO;

@Repository
public class MenuKeySetDAOImpl implements MenuKeySetDAO {
	@Autowired
	private MenuKeySetMapper menuKeySetMapper;
	public void setMenuKeySetMapper(MenuKeySetMapper menuKeySetMapper) {
		this.menuKeySetMapper = menuKeySetMapper;
	}

	@Override
	public int insert(MenuKeySet menuKeySet) {
		return menuKeySetMapper.insert(menuKeySet);
	}

	@Override
	public int update(MenuKeySet menuKeySet) {
		return menuKeySetMapper.update(menuKeySet);
	}

	@Override
	public int deleteByPubNo(String pubNo) {
		return menuKeySetMapper.deleteByPubNo(pubNo);
	}

	@Override
	public MenuKeySet selectByPubNoAndKeyWord(String pubNo, String keyword) {
		return menuKeySetMapper.selectByPubNoAndKeyWord(pubNo, keyword);
	}
	
}
